public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Matt Thode" <prometheanfire@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/oslotest/
Date: Sun, 27 Mar 2016 02:05:22 +0000 (UTC)	[thread overview]
Message-ID: <1459044294.07fa6f697d356d1b535067fbbc5269570693088a.prometheanfire@gentoo> (raw)

commit:     07fa6f697d356d1b535067fbbc5269570693088a
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 27 02:04:54 2016 +0000
Commit:     Matt Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Sun Mar 27 02:04:54 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07fa6f69

dev-python/oslotest: bup for mitaka

Package-Manager: portage-2.2.26

 dev-python/oslotest/Manifest              |  1 +
 dev-python/oslotest/oslotest-2.3.0.ebuild | 63 +++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/oslotest/Manifest b/dev-python/oslotest/Manifest
index 0e1624d..3cd750e 100644
--- a/dev-python/oslotest/Manifest
+++ b/dev-python/oslotest/Manifest
@@ -4,3 +4,4 @@ DIST oslotest-1.3.0.tar.gz 18084 SHA256 7c29dcf2289b4de8b3a64764ae617626e86bda94
 DIST oslotest-1.5.0.tar.gz 20622 SHA256 df732f8bd4b6b5d6869e4b570624c4a0ee3f906bee9b4cd70e8933b0dcef5586 SHA512 9e4f335d8eaa9b4c22f127b43ae5a96cf036ea0238b557a549a2b3b465e5f06e7b4c58a72e752e6d1be40a9dc6cee6c331bca4635679eb80c0a36d858c195ae4 WHIRLPOOL 552cd5c5e96634d39fd334619807645eb8258879c1048771b64c618bca3497a1c9449b5b51111a86c7b231e9721a4982b6679fbbb22bf08d546fdbe219814498
 DIST oslotest-1.5.1.tar.gz 20723 SHA256 8123fb3471d82b141614728e66beecedecdd33c2844d1ef0c14c89b833339981 SHA512 b69770d260060bfec4185a3d1484d304be0e48c4dfa6ab2613eb3a73fd046eb3b0ad90ed061d8c6cca65bd3e76d7fdbe8832a73ea6674e5c9aa92d7a3978322f WHIRLPOOL 777c6c8a93502e795b3c61ddab62d8b3dffdaed62b65f73b6c63180721a00b4a64fef48a631919ef75c3c2b7e42237d71be78548ef62198113e27ffead4c1ef9
 DIST oslotest-1.6.0.tar.gz 21226 SHA256 cb65b53b753375b669dcdb4717c362a205d19e3d16ca26310c0916cfd359354c SHA512 e7eb97dfde919b523c302d7dc495d835791c646b98ce579a6056e2412b93c1791d6d7e2c8333d142b89f1e7a414f1d5c61a321b41d8ad0ba4592227f9e3073a7 WHIRLPOOL 3b8f984f9adccf9abfdd70f5b593a16a0061bac0705c3331d0065a1ad6bc4a97b402e7f4e757a22f01e203980865510bf7741baffc9ede77ad1f652e15b6dfb1
+DIST oslotest-2.3.0.tar.gz 26475 SHA256 e28e0cade31ebe85bd777aa0f3fd3c03c6a77969ad2c4e6066e394521f8addf4 SHA512 a18ae0e0248fc4b0fb1b6d1de0c589d5668ae8991f5d51b05a38707daf388bcc915b89f50b2851223c3c95a04d74318ca783ac15f7ddeb1134fdc85cd8866827 WHIRLPOOL 7e3861044a5cae666b8c38b46b9492f1ebe14d6be6bad1446444cadff5c76ed1c51dfb4f8637fb0ab70899cb564b3a6e49d6719079da7f2ce49a1d8bbd70a05a

diff --git a/dev-python/oslotest/oslotest-2.3.0.ebuild b/dev-python/oslotest/oslotest-2.3.0.ebuild
new file mode 100644
index 0000000..69ec31f
--- /dev/null
+++ b/dev-python/oslotest/oslotest-2.3.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_{3,4,5}} )
+
+inherit distutils-r1
+
+DESCRIPTION="Oslo test framework"
+HOMEPAGE="http://launchpad.net/oslo"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test"
+
+CDEPEND=">=dev-python/pbr-1.8[${PYTHON_USEDEP}]"
+DEPEND="
+	dev-python/setuptools[${PYTHON_USEDEP}]
+	${CDEPEND}
+	test? ( >=dev-python/oslo-config-2.3.0[${PYTHON_USEDEP}] )
+	>=dev-python/oslo-sphinx-2.5.0[${PYTHON_USEDEP}]
+	>=dev-python/sphinx-1.1.2[${PYTHON_USEDEP}]
+	!~dev-python/sphinx-1.2.0[${PYTHON_USEDEP}]
+	<dev-python/sphinx-1.3[${PYTHON_USEDEP}]
+"
+RDEPEND="
+	>=dev-python/fixtures-1.3.1[${PYTHON_USEDEP}]
+	>=dev-python/subunit-0.0.18[${PYTHON_USEDEP}]
+	>=dev-python/six-1.9.0[${PYTHON_USEDEP}]
+	>=dev-python/testrepository-0.0.18[${PYTHON_USEDEP}]
+	>=dev-python/testscenarios-0.4[${PYTHON_USEDEP}]
+	>=dev-python/testtools-1.4.0[${PYTHON_USEDEP}]
+	>=dev-python/mock-1.2[${PYTHON_USEDEP}]
+	>=dev-python/mox3-0.7.0[${PYTHON_USEDEP}]
+	>=dev-python/os-client-config-1.13.1[${PYTHON_USEDEP}]
+	>=dev-python/debtcollector-1.2.0[${PYTHON_USEDEP}]
+"
+
+python_compile_all() {
+	if use doc; then
+	 	esetup.py build_sphinx
+	else
+		esetup.py build_sphinx -b man
+	fi
+}
+
+python_test() {
+	rm -rf .testrepository || die "couldn't remove '.testrepository' under ${EPYTHON}"
+
+	testr init || die "testr init failed under ${EPYTHON}"
+	testr run || die "testr run failed under ${EPYTHON}"
+}
+
+python_install_all() {
+	doman doc/build/man/oslotest.1
+	use doc && local HTML_DOCS=( doc/build/html/. )
+
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2016-03-27  2:05 UTC|newest]

Thread overview: 49+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-03-27  2:05 Matt Thode [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-11  4:34 [gentoo-commits] repo/gentoo:master commit in: dev-python/oslotest/ Michał Górny
2024-03-16 11:48 Arthur Zamarin
2024-03-01  4:47 Michał Górny
2023-07-24 10:59 Michał Górny
2023-07-24  9:25 Jakov Smolić
2023-03-16  4:03 Michał Górny
2022-05-29  5:43 Michał Górny
2022-05-21 14:18 Michał Górny
2022-05-21 14:18 Michał Górny
2022-03-31 19:18 Michał Górny
2022-03-31 17:36 Jakov Smolić
2022-02-26 12:17 Michał Górny
2021-10-24  5:13 Arthur Zamarin
2021-10-24  1:15 Sam James
2021-10-01  6:14 Arthur Zamarin
2021-10-01  6:14 Arthur Zamarin
2021-09-06 20:13 Michał Górny
2021-05-23 17:17 Patrick McLean
2021-02-22 22:20 Sam James
2021-02-22 22:20 Sam James
2020-11-16  0:02 Michał Górny
2020-11-15 23:50 Sam James
2020-11-14 22:00 Michał Górny
2020-11-14  0:09 Thomas Deutschmann
2020-10-16  2:04 Matthew Thode
2020-02-11 19:06 Matthew Thode
2019-11-24 16:15 Aaron Bauman
2019-05-11 18:17 Matthew Thode
2019-01-28  0:25 Matthew Thode
2018-06-18  1:59 Matt Thode
2018-02-16  6:08 Matt Thode
2018-01-13 18:18 Matt Thode
2018-01-05 13:26 Michał Górny
2017-12-30 17:38 Matt Thode
2017-12-03  1:41 Matt Thode
2017-11-30  5:42 Matt Thode
2017-03-13  1:30 Zac Medico
2016-08-06 16:51 Michał Górny
2016-03-29 18:40 Matt Thode
2016-02-09  9:33 Justin Lecher
2015-12-25 16:20 Agostino Sarubbo
2015-12-14 14:12 Agostino Sarubbo
2015-11-22 13:29 Alex Brandt
2015-11-16  0:05 Alex Brandt
2015-11-10  8:24 Agostino Sarubbo
2015-11-10  8:19 Agostino Sarubbo
2015-09-01 15:10 Matt Thode
2015-09-01 15:06 Matt Thode

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1459044294.07fa6f697d356d1b535067fbbc5269570693088a.prometheanfire@gentoo \
    --to=prometheanfire@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox